/* Main layout */
.screen {
    visibility: hidden;
    opacity: 0;
    z-index: -1;
}
.screen .body {
    visibility: hidden;
    opacity: 0;
    z-index: -1;
    transition: 0.3s;
}
.screen.-visible {
    visibility: visible;
    opacity: 1;
    z-index: 1;
}
.screen.-visible .body {
    visibility: visible;
    opacity: 1;
    z-index: 1;
}

.header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    height: 64px;
    padding: 0 20px;
    background-color: #fff;
    border-radius: 0 0 32px 32px;
    box-shadow: 0px 0px 20px rgba(0, 0, 0, 0.1);
}
.header.-to-center {
    justify-content: center;
}
@media screen and (prefers-color-scheme: dark) {
    .header {
        background-color: #1c1c1d;
    }
}

.header__logo {
    position: relative;
    width: 64px;
    height: 64px;
    margin-left: -20px;
    background: url(../images/layout/logo-image.svg) center calc( 50% - 3px ) no-repeat;
    background-size: 24px 32px;
}
.-to-center .header__logo {
    margin-left: 0;
}

.header__toolbar {
    display: flex;
    align-items: center;
}
.header__toolbar__balance {
    display: flex;
    align-items: center;
    justify-content: center;
    position: relative;
    height: 64px;
    padding: 0 10px;
    font-weight: 400;
    font-size: 15px;
    color: #333;
    white-space: nowrap;
}
.header__toolbar__balance::before {
    display: block;
    position: absolute;
    content: ' ';
    top: 50%;
    right: 0;
    left: 0;
    height: 26px;
    margin-top: -13px;
    background-color: #FFF3B3;
    border-radius: 13px;
    z-index: 1;
}
.header__toolbar__balance span {
    position: relative;
    z-index: 2;
}
.header__toolbar__balance span i {
    font-style: normal;
}

.header__toolbar__item {
    width: 40px;
    height: 64px;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: 24px 24px;
}
.header__toolbar__item.-add {
    margin-left: 8px;
    background-image: url(../images/icons/add.svg);
}
@media screen and (prefers-color-scheme: dark) {
    .header__toolbar__item.-add {
        background-image: url(../images/icons/add-dark.svg);
    }
}
.header__toolbar__item.-direct {
    position: relative;
    margin-right: -8px;
    background-image: url(../images/icons/direct.svg);
}
@media screen and (prefers-color-scheme: dark) {
    .header__toolbar__item.-direct {
        background-image: url(../images/icons/direct-dark.svg);
    }
}
.header__toolbar__item.-direct::before {
    display: block;
    position: absolute;
    content: ' ';
    top: 15px;
    right: 2px;
    width: 12px;
    height: 12px;
    background-color: red;
    border: 3px solid #fff;
    border-radius: 50%;
}
@media screen and (prefers-color-scheme: dark) {
    .header__toolbar__item.-direct::before {
        border-color: #1c1c1d;
    }
}

.header__back-button {
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 64px;
    background: url(../images/icons/arrow-left.svg) center center no-repeat;
    background-size: 24px 24px;
}
@media screen and (prefers-color-scheme: dark) {
    .header__back-button {
        background-image: url(../images/icons/arrow-left-dark.svg);
    }
}

.header__title {

}

.body {
    position: absolute;
    top: 64px;
    right: 0;
    bottom: 0;
    left: 0;
    padding: 20px 20px 30px;
    padding: 10px 0 20px;
    overflow-y: scroll;
}
.body.-extra-paddings {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding: 0 30px;
}
.body.-paddings {
    padding: 20px 20px 30px;
}
.body.-with-footer {
    bottom: 54px;
}

.body > *:first-child {
    margin-top: 0;
}

.body > *:last-child {
    margin-bottom: 0;
}

.footer {
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
    height: 54px;
    padding: 0 20px;
    z-index: 2;
}
    .footer .ui-input {
        margin: 0;
    }


/* Splash */
.splash {
    
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
}

.splash::before {
    display: block;
    position: absolute;
    content: ' ';
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: url(../../images/layout/splash-bg.jpg) center center no-repeat;
    background-size: cover;
}
@media screen and (prefers-color-scheme: dark) {
    .splash::before {
        background-image: url(../../images/layout/splash-bg-dark.jpg);
    }
}

.splash__app-logo,
.splash__title,
.splash__studio-logo {
    position: relative;
    z-index: 2;
}

.splash__app-logo {
    display: block;
    width: 115px;
    height: 88px;
    background: url(../../images/layout/logo-with-text.svg) center center no-repeat;
    background-size: contain;
}
.splash__loader {
    position: absolute;
    top: calc( 50% + 42px );
    left: 50%;
    width: 109px;
    height: 3px;
    margin-left: -52px;
    overflow: hidden;
    background-color: transparent;
    border-radius: 20px;
}

.splash__loader::before {
    content: ' ';
    position: absolute;
    left: -50%;
    height: 1px;
    width: 40%;
    background-color: #fff;
    animation: lineAnim 0.5s linear infinite;
    border-radius: 20px;
}

@keyframes lineAnim {
    0% {
        left: -40%;
    }
    50% {
        left: 20%;
        width: 80%;
    }
    100% {
        left: 100%;
        width: 100%;
    }
}

.splash__title {
    position: absolute;
    bottom: 25vh;
    font-weight: 100;
    color: #fff;
    line-height: 16px;
    letter-spacing: 1px;
}

.splash__studio-logo {
    position: absolute;
    bottom: 20px;
    width: 97px;
    height: 31px;
    background: url(../../images/layout/studio-logo.svg) center center no-repeat;
    background-size: contain;
}
@media screen and (prefers-color-scheme: dark) {
    .splash__studio-logo {
        background-image: url(../../images/layout/studio-logo-dark.svg);
    }
}

.direct-messages {
    
}
.direct-messages__item {
    display: flex;
    justify-content: flex-start;
    margin-top: 10px;
}
.direct-messages__item:first-child {
    margin-top: 0;
}
.direct-messages__item.-self {
    justify-content: flex-end;
}





